#
# spec file for package python-convertdate
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-convertdate
Version:        2.2.0
Release:        bp153.1.9
Summary:        Module for date conversions from and to Gregorian calendar
License:        MIT
URL:            https://github.com/fitnr/convertdate
Source:         https://github.com/fitnr/convertdate/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyMeeus >= 0.3.6
Requires:       python-pytz >= 2014.10
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyMeeus >= 0.3.6}
BuildRequires:  %{python_module pytz >= 2014.10}
# /SECTION
%python_subpackages

%description
A Python module for converting between Gregorian dates and other
calendar systems. Calendars included: Baha'i, French Republican,
Hebrew, Indian Civil, Islamic, ISO, Julian, Mayan and Persian.

%prep
%setup -q -n convertdate-%{version}
sed -i -e 's:, < 2020::g' setup.py

%build
export LC_ALL="en_US.UTF8"
%python_build

%install
export LC_ALL="en_US.UTF8"
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL="en_US.UTF8"
%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon May  4 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not restrict upper version on pytz for no reason.
* Wed Apr  1 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 2.2.0
  * Repair Bahai intercalary days bug (#13, thanks @bchurchill)
  * Replace pyephem, which is now in maintenance mode, with pymeeus.
  * Remove shebangs and regularize licenses (thanks @fabaff)
  * Convert readme to ascii (#16)
* Fri Oct 18 2019 Dirk Mueller <dmueller@suse.com>
- fix execution of tests on anything older than Tumbleweed
* Fri Sep 13 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Enable tests
- Format with spec-cleaner
* Wed Apr  3 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.1.3
